Pagina 2 di 4 PrimaPrima 1234 UltimaUltima
Risultati da 11 a 20 di 31
  1. #11
    SE_User
    Visitatore

    Predefinito

    Citazione Originariamente Scritto da cacciatorino Visualizza Messaggio
    Si a questo ci ero gia' arrivato, volevo solo evitare di aggiungere una colonna alla tabellina sul disegno per ogni variabile da esporre, variabili che poi potrebbero essere diverse da particolare a particolare (per esempio per uno mi interesserebbe parametrizzare la descrizione inserendo la lunghezza, su un altro il diametro).

    Grazie.
    Visto che le variabili esposte assumono il nome che tu gli dai, per non avere problemi dai a tutte lo stesso nome, così il cartiglio è sempre aggionato.

  2. #12
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2764
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Da codice:

    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim valore As String

    Public Sub main()

    Set objApp = GetObject(, "SolidEdge.Application")
    Set objDoc = objApp.ActiveDocument

    valore = objDoc.Properties("SummaryInformation").Item("Tito lo").Value + " Lunghezza = " + objDoc.Properties("Custom").Item("L").Value

    objDoc.Properties("ProjectInformation").Item("Proj ect Name").Value = valore

    End Sub
    In questo esempio prendo la proprietà "Titolo" ci aggiungo "Lunghezza =" e inserisco il valore di una proprietà custom di nome "L".

    Quindi avendo:

    Titolo = Perno
    L = 49 mm

    Nome progetto sarà: Perno Lunghezza = 49mm

    Ciao
    Ultima modifica di Be_on_edge; 21-10-2008 alle 15: 01
    Francesco
    Cintura nera di solid edge

  3. #13
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9341
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    Da codice:



    In questo esempio prendo la proprietà "Titolo" ci aggiungo "Lunghezza =" e inserisco il valore di una proprietà custom di nome "L".

    Quindi avendo:

    Titolo = Perno
    L = 49 mm

    Nome progetto sarà: Perno Lunghezza = 49mm

    Ciao
    Grazie, appena capisco come usarlo ti faro' sapere.

    Ciao.



    stimarchetti.altervista.org - Progettazione Meccanica

  4. #14
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9341
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    Da codice:



    In questo esempio prendo la proprietà "Titolo" ci aggiungo "Lunghezza =" e inserisco il valore di una proprietà custom di nome "L".

    Quindi avendo:

    Titolo = Perno
    L = 49 mm

    Nome progetto sarà: Perno Lunghezza = 49mm

    Ciao

    Ma poi questa associazione sarebbe "dinamica"? Oppure ogni volta che modifico il pezzo devo far girare la macro per aggiornare la descrizione?



    stimarchetti.altervista.org - Progettazione Meccanica

  5. #15
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2764
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da cacciatorino Visualizza Messaggio
    Ma poi questa associazione sarebbe "dinamica"? Oppure ogni volta che modifico il pezzo devo far girare la macro per aggiornare la descrizione?
    La seconda che hai detto, eventualmente la puoi associare all'evento "salva" in modo che venga eseguita automaticamente ad ogni salvataggio del file.

    Per usarla fai un copia incolla di quanto scritto all'interno di una nuova macro in excel. Nei riferimenti del progetto ricordati di aggiungere tutto quando inizia con Solid Edge.

    Ciao
    Francesco
    Cintura nera di solid edge

  6. #16
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    Per usarla fai un copia incolla di quanto scritto all'interno di una nuova macro in excel. Nei riferimenti del progetto ricordati di aggiungere tutto quando inizia con Solid Edge.
    Per fare delle prove e per progettare la macro si fa così. Se alla fine decidi di utilizzare questa strada, per non tenere excel aperto tutte le volte o si compila il programma (i compilatori costano) oppure si fa un WindosScriptFile wsf che come ho citato in un altro topic è un semplice file txt.

    ovvero se vuoi provare subito la strada di Arfilli,

    crea un file di testo 'macro1.wsf' e scrivici:

    Codice:
    <job id="main">
    	<script language="JScript">
    		 // WScript.Echo("JScript");
    	</script>
    	
    	<script language="VBScript">
    ' i commenti in vb cominciano con un apice come questa riga
    'WScript.Echo WScript.Version
    
    Call Main()
    
    ' Dichiarazioni pubbliche - non va definito come in vb x excel il tipo di oggetto
    Dim objApp 'As SolidEdgeFramework.Application
    Dim objDoc 'As SolidEdgePart.PartDocument
    Dim valore 'As String
    
    Sub Main()
    
    Set objApp = GetObject(, "SolidEdge.Application")
    Set objDoc = objApp.ActiveDocument
    
    valore = objDoc.Properties("SummaryInformation").Item("Titolo").Value + " Lunghezza = " + objDoc.Properties("Custom").Item("L").Value
    objDoc.Properties("ProjectInformation").Item("Project Name").Value = valore
    
    ' Questo è un messaggio:
    MsgBox("Fatto! le variabili saranno salvate al prox salvataggio.")
    
    End Sub
    
    	</script>
    </job>
    Da Notare: in vista con UAC rompe le scatole per la sicurezza.
    Puoi aggiungere costrutti IF...then...else, o CASE (in caso di...), per distinguere piatti, tondi, profili e scegliere nomevariabile da esporre , ma se non si fanno le cose fatte bene si intercorre nei problemi che se cerca una variabile che non esiste la macro salta tutta quella parte di programma...
    Per editare "macro1.wsf" consiglio Notepad++ (editor di testo freeware) che colora il testo

  7. #17
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9341
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    Citazione Originariamente Scritto da RAGAZZINI Visualizza Messaggio
    Per fare delle prove e per progettare la macro si fa così. Se alla fine decidi di utilizzare questa strada, per non tenere excel aperto tutte le volte o si compila il programma (i compilatori costano) oppure si fa un WindosScriptFile wsf che come ho citato in un altro topic è un semplice file txt.
    Ho copiato bovinamente e mi da l'errore in figura, anche avendo esposto la variabile "L" nel file par.
    Potrebbe dipendere da:
    1) Licenza D&D?
    2) Assenza di MS Excel sulla macchina (c'e' openoffice)?
    3) Utente corrente non amministratore?
    4) Hai scritto la macro con le variabili in inglese ed invece l'installazione e' in italiano?

    ciao.
    Immagini Allegate Immagini Allegate



    stimarchetti.altervista.org - Progettazione Meccanica

  8. #18
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    cominciamo bene...

    prova con lo zip allegato, è identica a quella che ho scritto sul forum ma è importante ragionare sullo stesso file di testo per fare il debug.

    da te dice che l'errore è a riga 20 ovvero dove viene riconosciuto Solid edge aperto da cui piglio il documento attivo, se è così non riconosce solid edge e mi sembra impossibile.

    se ad esempio la "L" non è esposta darà a riga 22 l'errore "indice non compreso nell'intervallo"

    Dimmi se si ripete l'errore e la riga,
    Dimmi il sistema operativo
    Togli l'apice a riga 8 ovvero davanti a
    WScript.Echo WScript.Version
    e lancia, così puoi dirmi che versione è (non sò poi cosa me ne farò, ma intanto proviamo :-P )

  9. #19
    Moderatore SolidEdge L'avatar di cacciatorino
    Iscritto dal
    2007
    Messaggi
    9341
    Professione
    Ingegnere meccanico
    Regione
    Porto Recanati, ma con l'appennino nel cuore
    Software
    SolidEdge CoCreate Salome-Meca

    Predefinito

    Citazione Originariamente Scritto da RAGAZZINI Visualizza Messaggio

    da te dice che l'errore è a riga 20 ovvero dove viene riconosciuto Solid edge aperto da cui piglio il documento attivo, se è così non riconosce solid edge e mi sembra impossibile.

    se ad esempio la "L" non è esposta darà a riga 22 l'errore "indice non compreso nell'intervallo"

    Dimmi se si ripete l'errore e la riga,
    Dimmi il sistema operativo
    Togli l'apice a riga 8 ovvero davanti a
    WScript.Echo WScript.Version
    e lancia, così puoi dirmi che versione è (non sò poi cosa me ne farò, ma intanto proviamo :-P )
    Mi sa che l'allegato non c'e', comunque:
    Solid Edge V20 Design & Drafting SP.9 ITA
    Sistema operativo WIN XP Home Edition SP3 ITA
    comunque potrebbe essere un problema di licenza, con la D&D tante automazioni non funzionano (per esempio le librerie esterne).

    dopo aver modificato la macro come indicato, all'esecuzione mi dice:

    Windows script host: 5.7

    comunque non voglio farti perdere tempo, non e' poi cosi' grave scrivere la lungezza a mano!



    stimarchetti.altervista.org - Progettazione Meccanica

  10. #20
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    952
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    ...sarà la D&D (non so cos'è e non voglio saperlo :-P )

    mi ero dimenticato l'allegato è un classico, prova e se non va lascia perdere.
    ciao
    File Allegati File Allegati


  • Pagina 2 di 4 PrimaPrima 1234 UltimaUltima

    Discussioni Simili

    1. NOME FILE, NUMERO PARTE, "Nuovo Da"
      Di marcofa nel forum CATIA V5 Infrastructure
      Risposte: 3
      Ultimo Messaggio: 24-10-2010, 14: 48
    2. SW2010 - problema con "salva con nome"
      Di lelepanz nel forum Solidworks
      Risposte: 4
      Ultimo Messaggio: 01-07-2010, 15: 08
    3. Risposte: 10
      Ultimo Messaggio: 26-06-2010, 15: 33
    4. "nome" Drawing = "nome" Parte/Assieme
      Di Daniele-san nel forum Creo Parametric (ex Pro/E)
      Risposte: 19
      Ultimo Messaggio: 03-12-2008, 10: 27
    5. Risposte: 3
      Ultimo Messaggio: 16-02-2008, 15: 43

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti